%define nsusr opuser 
%define nsgrp users

Summary: Syslog visualization tool for OpMon 
Name: opmon-phplogcon
Version: %{_op_major_version}.%{_op_minor_version}
Release: %{_op_release}
Group: Applications/Network
URL: http://www.opservices.com.br
Distribution: CentOS Linux
License: GPL
Source0: %{name}-%{version}.tar.gz
Vendor: OpServices Tecnologia Informacao
Prefix: /usr/local/opmon/share/phplogcon
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch

Requires: opmon-oplib >= %{_op_major_version}
Provides: opmon-phplogcon
Obsoletes: opservices-phplogcon, opmon-phplogcon264, opservices-phplogcon264


%description
phplogcon 2.64
A syslog visualization tool ajdusted to work with
OpMon monitoring tool. Uses PHP and a MySQL database

%prep
# uncompress and go to directory
%setup -q
find . -name CVS |xargs rm -rf

%build
# the compilation

%install
# the installation process
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
install -d -m 0755 ${RPM_BUILD_ROOT}/usr/local/opmon/share/phplogcon
install -d -m 0755 ${RPM_BUILD_ROOT}/etc/cron.d
cp -frp * ${RPM_BUILD_ROOT}/usr/local/opmon/share/phplogcon
cp -frp phplogcon.cron ${RPM_BUILD_ROOT}/etc/cron.d/phplogcon
install -d -m 0755 ${RPM_BUILD_ROOT}/usr/local/opmon/db
cp -frp db/phplogcon.sql ${RPM_BUILD_ROOT}/usr/local/opmon/db/phplogcon.sql

%clean
rm -rf $RPM_BUILD_ROOT

%pre
# before install

%post
# post install
/usr/bin/php /usr/local/opmon/db/updatedb.php phplogcon.sql

%files
%defattr(755,%{nsusr},%{nsgrp})
/usr/local/opmon/share/phplogcon
/usr/local/opmon/db/phplogcon.sql

%defattr(644,root,root)
%config(noreplace) /etc/cron.d/phplogcon

